Get Application State
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/x/apps/{id}/state \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/x/apps/{id}/state"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/x/apps/{id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventGenerationTimestamp": "<string>",
"applicationId": "<string>",
"clusterId": "<string>",
"namespace": "<string>",
"activeVersion": "<string>",
"components": [
{
"pods": [
{
"name": "<string>",
"status": "<string>",
"containers": [
{
"name": "<string>",
"state": "<string>",
"image": "<string>",
"reason": "<string>",
"exitCode": 123,
"lastState": {
"state": "<string>",
"exitCode": 123,
"reason": "<string>",
"finishedAt": "<string>"
}
}
],
"startTime": "<string>",
"endTime": "<string>",
"restarts": 123,
"conditions": [
{
"type": "<string>",
"status": "<string>",
"reason": "<string>",
"message": "<string>"
}
],
"node": {
"name": "<string>",
"type": "<string>",
"capacityType": "<string>",
"status": {
"memoryPressure": "True",
"diskPressure": "True",
"pidPressure": "True",
"ready": "True"
}
},
"message": "<string>",
"podTemplateHash": "<string>",
"version": "<string>"
}
]
}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Applications
Get Application State
Get the live runtime state of an application including pod-level details, node placement, restart counts, and the currently active deployment version.
GET
/
api
/
svc
/
v1
/
x
/
apps
/
{id}
/
state
Get Application State
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the application
Response
Live runtime state of the application
Timestamp when this state snapshot was captured (ISO 8601)
Application ID
Cluster ID where the application is deployed
Namespace of the application.
Currently active deployment version
Application components with pod details
Show child attributes
Show child attributes
Was this page helpful?
⌘I